Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.sdk
Class SDKFieldValue

`java.lang.Object
oracle.toplink.sdk.SDKFieldValue`

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `oracle.toplink.eis`

public class SDKFieldValue
extends java.lang.Object

`SDKFieldValue` is a container for nested (and possibly repeating) elements that might occur within a database row. These elements can have a type name; and they can be either nested database rows or "direct" values (e.g. `String`s or `Date`s).

Since:
  TOPLink/Java 3.0
See Also:
  `DatabaseRow`, `SDKDescriptor`, `SDKAggregateCollectionMapping`, `SDKAggregateObjectMapping`, `SDKDirectCollectionMapping`, `SDKObjectCollectionMapping`

Constructor Summary
`SDKFieldValue()` Deprecated. Default constructor.
`SDKFieldValue(java.util.Vector elements, java.lang.String elementDataTypeName, boolean isDirectCollection)` Deprecated. Construct a field value with the specified collection of elements and element "data type".

Method Summary
`void` | `addElement(java.lang.Object element)` Deprecated. Add an element to the collection of elements.
`SDKFieldValue` | `clone(java.util.Vector elements)` Deprecated. Return a clone of the field value with a new collection of elements.
`static SDKFieldValue` | `forDatabaseRows(java.util.Vector elements, java.lang.String elementDataTypeName)` Deprecated. Construct a field value with the specified collection of database rows and element "data type".
`static SDKFieldValue` | `forDirectValues(java.util.Vector elements, java.lang.String elementDataTypeName)` Deprecated. Construct a field value with the specified collection of direct values and element "data type".
`java.lang.String` | `getElementDataTypeName()` Deprecated. Return the "data type" associated with each element in the collection.
`java.util.Vector` | `getElements()` Deprecated. Return the collection of elements.
`boolean` | `isDirectCollection()` Deprecated. Return whether elements is a "direct" collection of values or a collection of database rows.
`void` | `setElementDataTypeName(java.lang.String elementDataTypeName)` Deprecated. Set the "data type" associated with each element in the collection.
`void` | `setElements(java.util.Vector elements)` Deprecated. Set the collection of elements.
`void` | `setIsDirectCollection(boolean isDirectCollection)` Deprecated. Set whether elements is a "direct" collection of values or a collection of database rows.
`java.lang.String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SDKFieldValue

    public SDKFieldValue()

  Deprecated.
  Default constructor.

### SDKFieldValue

    public SDKFieldValue(java.util.Vector elements,
                         java.lang.String elementDataTypeName,
                         boolean isDirectCollection)

  Deprecated.
  Construct a field value with the specified collection of elements and element "data type". The elements vector is either a direct collection of values or a collection of database rows.

Method Detail

### addElement

    public void addElement(java.lang.Object element)

  Deprecated.
  Add an element to the collection of elements.

### clone

    public SDKFieldValue clone(java.util.Vector elements)

  Deprecated.
  Return a clone of the field value with a new collection of elements.

### forDatabaseRows

    public static SDKFieldValue forDatabaseRows(java.util.Vector elements,
                                                java.lang.String elementDataTypeName)

  Deprecated.
  Construct a field value with the specified collection of database rows and element "data type".

### forDirectValues

    public static SDKFieldValue forDirectValues(java.util.Vector elements,
                                                java.lang.String elementDataTypeName)

  Deprecated.
  Construct a field value with the specified collection of direct values and element "data type".

### getElementDataTypeName

    public java.lang.String getElementDataTypeName()

  Deprecated.
  Return the "data type" associated with each element in the collection.

### getElements

    public java.util.Vector getElements()

  Deprecated.
  Return the collection of elements. These are either direct values or database rows.

### isDirectCollection

    public boolean isDirectCollection()

  Deprecated.
  Return whether elements is a "direct" collection of values or a collection of database rows.

### setElementDataTypeName

    public void setElementDataTypeName(java.lang.String elementDataTypeName)

  Deprecated.
  Set the "data type" associated with each element in the collection.

### setElements

    public void setElements(java.util.Vector elements)

  Deprecated.
  Set the collection of elements.

### setIsDirectCollection

    public void setIsDirectCollection(boolean isDirectCollection)

  Deprecated.
  Set whether elements is a "direct" collection of values or a collection of database rows.

### toString

    public java.lang.String toString()

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD